package hellodm.web;

import hellodm.service.HelloService;

import java.io.IOException;

import javax.servlet.ServletException;
import javax.servlet.ServletOutputStream;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import org.springframework.web.context.WebApplicationContext;
import org.springframework.web.context.support.WebApplicationContextUtils;

public class HelloServlet extends HttpServlet {

	protected void doGet(HttpServletRequest req, HttpServletResponse resp) throws ServletException, IOException {
		doJob(resp);
	}

	protected void doPost(HttpServletRequest req, HttpServletResponse resp) throws ServletException, IOException {
		doJob(resp);
	}

	private void doJob(HttpServletResponse response) throws IOException {
		
		WebApplicationContext wac = WebApplicationContextUtils.
		getRequiredWebApplicationContext(getServletContext());		
		HelloService helloService = (HelloService)wac.getBean("helloService");
		
		response.setContentType("text/html");
		ServletOutputStream out = response.getOutputStream();
		out.println("<html>");
		out.println("<head><title>Hello DM World</title></head>");
		out.println("<body>");
		out.println("<h1>"+helloService.getHello()+"</h1>");
		out.println("</body></html>");
	}
}
